# gdcm::PDFCodec Class Reference

PDFCodec class. More...

`#include <gdcmPDFCodec.h>`

Inheritance diagram for gdcm::PDFCodec:
[legend]
Collaboration diagram for gdcm::PDFCodec:
[legend]

List of all members.

## Public Member Functions

| PDFCodec ()
| ~PDFCodec ()
bool | CanCode (TransferSyntax const &) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Decode (DataElement const &is, DataElement &os)
| Decode.

## Detailed Description

PDFCodec class.

## Constructor & Destructor Documentation

gdcm::PDFCodec::PDFCodec | ( |  | ) |

gdcm::PDFCodec::~PDFCodec | ( |  | ) |

## Member Function Documentation

bool gdcm::PDFCodec::CanCode | ( | TransferSyntax const & |  | ) | const`[inline, virtual]`

Return whether this coder support this transfer syntax (can code it)

Implements gdcm::Coder.

bool gdcm::PDFCodec::CanDecode | ( | TransferSyntax const & |  | ) | const`[inline, virtual]`

Return whether this decoder support this transfer syntax (can decode it)

Implements gdcm::Decoder.

bool gdcm::PDFCodec::Decode | ( | DataElement const & | is_,
|  | DataElement & | os
| ) |  | `[virtual]`

Decode.

Reimplemented from gdcm::Decoder.

The documentation for this class was generated from the following file:

- gdcmPDFCodec.h